# Uses of Enum Class
org.bukkit.boss.BarColor

Packages that use BarColor
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.boss
Classes concerning the creation of boss bars that appear at the top of the player's screen.

## Uses of BarColor in org.bukkit

Methods in org.bukkit with parameters of type BarColor
Modifier and Type
Method
Description
`static @NotNull KeyedBossBar`
Bukkit.`createBossBar(@NotNull NamespacedKey key, @Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.
`static @NotNull BossBar`
Bukkit.`createBossBar(@Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.
`@NotNull KeyedBossBar`
Server.`createBossBar(@NotNull NamespacedKey key, @Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.
`@NotNull BossBar`
Server.`createBossBar(@Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.

## Uses of BarColor in org.bukkit.boss

Methods in org.bukkit.boss that return BarColor
Modifier and Type
Method
Description
`@NotNull BarColor`
BossBar.`getColor()`
Returns the color of this boss bar
`static BarColor`
BarColor.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BarColor[]`
BarColor.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.boss with parameters of type BarColor
Modifier and Type
Method
Description
`void`
BossBar.`setColor(@NotNull BarColor color)`
Sets the color of this boss bar.